/*
 * LineBreak  ~  v.0.2  ~  NightOwl  ~  Description of the About window.
 */
import java.awt.Color;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Graphics;
import java.awt.Rectangle;

public class About {
    private Font first, second;
    private FontMetrics fmetr, smetr;
    String[] text ={
            "LineBreak ~ v.0.2",
            "",
            "Simple breakout game",
            "written in Java (Swing)",
            "",
            "Code and design: NightOwl",
            "18.10.2012, 22:07:45",
            "~~~"};

    public About(Font first, FontMetrics firstmetr, Font second, FontMetrics secondmetr){
        this.first = first; this.fmetr = firstmetr;
        this.second = second; this.smetr = secondmetr;
    }

    public void draw(Graphics g){
        g.setFont(first);
        g.setColor(Color.black);
        g.drawString("About", Const.WIDTH/2-fmetr.stringWidth("About")/2, 70);

        g.setFont(second);
        for(int c = 0; c < text.length; c++){
            g.drawString(text[c], Const.WIDTH/2-smetr.stringWidth(text[c])/2, 120+c*40);
        }
    }
}
